### Method

# Gtk Gridattach

#### Declaration [src]

    void
    gtk_grid_attach (
      GtkGrid* grid,
      GtkWidget* child,
      int column,
      int row,
      int width,
      int height
    )

#### Description [src]

Adds a widget to the grid.

The position of `child` is determined by `column` and `row`. The number of “cells” that `child` will occupy is determined by `width` and `height`.

#### Parameters

`child`

  Type: `GtkWidget`

  The widget to add.

  The data is owned by the caller of the method.

`column`

  Type: `int`

  The column number to attach the left side of `child` to.

`row`

  Type: `int`

  The row number to attach the top side of `child` to.

`width`

  Type: `int`

  The number of columns that `child` will span.

`height`

  Type: `int`

  The number of rows that `child` will span.